Documentation for enabling HTTPS is not clear
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 3.2.2

Description

I have been running Remine for years, updated it several times with no trouble, experience of configuring Apache and of creating

keys and certificates but NOT of Ruby and Rails as a programmer.

I have just installed the server key and certificate and they are fine and https works. But the links within Redmine are http.

I gather from random pages that RequestHeader set X_FORWARDED_PROTO 'https' is good and that does indeed change the

problem.

But both the http and https services are on non-standard ports not least as that makes my "redmine" user need no privileges (with a

little DNAT).

Now the links are https which is good but not to the actual https port. I gather tweaking ssl_option is in in order and changed the line

in my configuration.rb so it said

@ssl_options = { port : 8443 }

 but obviously the syntax wasn't right.

Please could the documentation be fixed with a complete guide on HTTPS setup particularly where non-standard (TCP) ports are

used. I have found mentions in the forums but it hasn't helped me.

It would be reasonable to assume the business of preparing keys and certificates and dealing with Apache is documented elsewhere

many times over.

Thank you.

Related issues:

Related to Redmine - Defect #25577: Fixing wrong hyphenization on FAQ-Page fo... Closed

History

#1 - 2017-01-19 16:52 - Toshi MARUYAMA

- Status changed from New to Closed

Redmine is Rails app and does not depend any Webserver (Apache, Thin, Puma etc.).

So there is no way to document it.

#2 - 2017-01-19 16:54 - Jonathan Schneider

So it's a Rails problem ?

#3 - 2017-01-19 16:58 - Toshi MARUYAMA

- Resolution set to Wont fix

https://www.google.com/search?q=rails+apache+https

#4 - 2017-01-24 17:40 - Cheyenne Wills

It appears that Ruby Rails 4 is more picky on the headers now.  We had:
https://www.google.com/search?q=rails+apache+https


RequestHeader set X_FORWARDED_PROTO "https" 

in our proxy apache config.  This needed to be changed to

RequestHeader set X-Forwarded-Proto "https" 

 We also had a utility that was using the rest api break because there was a small error in one of the headers that started to get a 400 invalid header

response.

#5 - 2017-04-11 18:37 - Toshi MARUYAMA

- Related to Defect #25577: Fixing wrong hyphenization on FAQ-Page for RequestHeader added
